<?php

namespace App\controleur;

class AdminControleur extends ModerateurControleur
{
    public function __construct()
    {
        global $twig;
        if (!isset($_REQUEST["action"])) {
            $action = NULL;
        } else {
            $action = \App\config\Validation::nettoyerString($_REQUEST["action"]);
        }
        switch ($action) {
            case "supprimerCompte":
                $this->supprimerCompte();
                break;
            case "consulterSignalement":
                $this->consulterSignalement();
                break;
            case "creerEvenement":
                $this->creerEvenement();
                break;
            case "supprimerEvenement":
                $this->supprimerEvenement();
                break;
            case "supprimerOffre":
                $this->supprimerOffre();
                break;
            default:
                parent::__construct();
        }
    }

    protected function supprimerCompte()
    {
        //TODO
    }

    protected function consulterSignalement()
    {
        //TODO
    }

    protected function creerEvenement()
    {
        //TODO
    }

    protected function supprimerEvenement()
    {
        //TODO
    }

    protected function supprimerOffre()
    {
        //TODO
    }
}
